Subject: 29.0.90; Native comp does not respect byte-compile-warnings
From: Jimmy Yuen Ho Wong <[email-masked]>
To: [email-masked]
Date: Fri, 05 May 2023 12:51:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

`byte-compile-warnings` is commonly set to to remove `docstring` so
spurious `docstring wider than 80 characters` are removed.  When it is
set to such a way, normal byte compilation of a el file with a docstring
longer than 80 characters will not result in the above warning, but
natively compiling the same file will.

The expectation should be that nativecomp respects this variable at the
very least, or that the linting capabilities is moved out of byte
compilation into a seperate package ala elisp-lint. A compiler should
compile any program that is valid without producing any warnings except
obsolete/deprecations.